/** \file
 *  \brief This file implements the I²C bus.
 *
 *         See COMM_I2C_Bus.h for a detailed description of the functionality implemented by this code.
 */

/* Include Files */
#include "KTag.h"

/* Local Definitions and Constants */

/* Public Variables */

SemaphoreHandle_t COMM_I2C_Bus_Mutex = NULL;

/* Private Variables */

/* Private Function Prototypes */

/* Public Functions */

//! Initializes the I²C bus.
/*!
 *
 */
void COMM_I2C_Init(void)
{
    COMM_I2C_Bus_Mutex = xSemaphoreCreateMutex();
    I2C_Start();
}


/* Private Functions */
